import { h } from "@stencil/core";
export class TransactionToastWrapper {
    constructor() {
        this.wrapperClass = 'transaction-toast-wrapper';
    }
    render() {
        return (h("div", { key: 'b257df550303485cbd62fa31144ee229cef44960', id: this.wrapperId, class: this.wrapperClass }, h("slot", { key: '5233c36ba12374cc8893516f3d3cc1d6c921a81a' })));
    }
    static get is() { return "transaction-toast-wrapper"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-wrapper.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-wrapper.css"]
        };
    }
    static get properties() {
        return {
            "wrapperClass": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "wrapper-class",
                "reflect": false,
                "defaultValue": "'transaction-toast-wrapper'"
            },
            "wrapperId": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "wrapper-id",
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-toast-wrapper.js.map
