import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
export class UnlockHeader {
    constructor() {
        this.closeIcon = faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (h("div", { key: 'ec80bb9b45fdddc65d36f2e13f7b426bfe38fc25', class: 'header' }, this.backIcon && (h("button", { key: 'ce5da14ce388b8adbbd07c9acd4dab45226672a2', class: "icon-button", onClick: this.handleBack }, h("fa-icon", { key: 'f6f273917fb4327897f8b457f33449da874dcf03', icon: this.backIcon }))), h("span", { key: '279d42e5d3fadae46e61429f6f8d90855b56b850', class: "title" }, this.text), h("button", { key: 'c6008b7184b7421639a8d5db91044e6196b21be8', class: "icon-button", onClick: this.handleClose }, h("fa-icon", { key: 'ca5c657af7d06d673abb948096bdc27b2fa343b5', icon: this.closeIcon }))));
    }
    static get is() { return "unlock-header"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["unlock-header.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["unlock-header.css"]
        };
    }
    static get properties() {
        return {
            "text": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "text",
                "reflect": false
            },
            "backIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "closeIcon": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "IconDefinition",
                    "resolved": "IconDefinition",
                    "references": {
                        "IconDefinition": {
                            "location": "import",
                            "path": "@fortawesome/free-solid-svg-icons",
                            "id": "node_modules::IconDefinition"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "defaultValue": "faTimes"
            }
        };
    }
    static get events() {
        return [{
                "method": "back",
                "name": "back",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }, {
                "method": "close",
                "name": "close",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=unlock-header.js.map
