import { p as proxyCustomElement, H, c as createEvent, h } from './p-3b962989.js';
import { b as faTimes } from './p-5a6c2a4d.js';
import { d as defineCustomElement$1 } from './p-00b828b5.js';

const unlockHeaderCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.flex{display:flex}.border{border-width:1px}.capitalize,.header{text-transform:capitalize}.header{border-radius:8px;color:#333;font-size:16px;font-weight:700;justify-content:space-between;padding:12px 16px}.header,.icon-button{align-items:center;display:flex}.icon-button{background:none;border:none;cursor:pointer;padding:8px}.icon-button .icon{color:#333;cursor:pointer;font-size:20px}.title{flex:1;text-align:left}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.hidden{display:none}";
const UnlockHeaderStyle0 = unlockHeaderCss;

const UnlockHeader = /*@__PURE__*/ proxyCustomElement(class UnlockHeader extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.back = createEvent(this, "back", 7);
        this.close = createEvent(this, "close", 7);
        this.closeIcon = faTimes;
        this.handleBack = () => {
            this.back.emit();
        };
        this.handleClose = () => {
            this.close.emit();
        };
    }
    render() {
        return (h("div", { key: 'ec80bb9b45fdddc65d36f2e13f7b426bfe38fc25', class: 'header' }, this.backIcon && (h("button", { key: 'ce5da14ce388b8adbbd07c9acd4dab45226672a2', class: "icon-button", onClick: this.handleBack }, h("fa-icon", { key: 'f6f273917fb4327897f8b457f33449da874dcf03', icon: this.backIcon }))), h("span", { key: '279d42e5d3fadae46e61429f6f8d90855b56b850', class: "title" }, this.text), h("button", { key: 'c6008b7184b7421639a8d5db91044e6196b21be8', class: "icon-button", onClick: this.handleClose }, h("fa-icon", { key: 'ca5c657af7d06d673abb948096bdc27b2fa343b5', icon: this.closeIcon }))));
    }
    static get style() { return UnlockHeaderStyle0; }
}, [1, "unlock-header", {
        "text": [1],
        "backIcon": [16],
        "closeIcon": [16]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["unlock-header", "fa-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "unlock-header":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, UnlockHeader);
            }
            break;
        case "fa-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { UnlockHeader as U, defineCustomElement as d };

//# sourceMappingURL=p-c2ee089e.js.map